<Input::Icons::Order @showIconTypeLabel={{@showIconTypeLabel}} @disabled={{@disabled}} @value={{@value}} @onChange={{this.orderChanged}} @onSelect={{this.openModal}} />

<div class="modal fade" tabindex="-1" role="dialog" aria-labelledby="iconListLabel" aria-hidden="true" {{did-insert this.setupModal}}>
  <div class="modal-dialog modal-dialog-scrollable" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title capitalize-first-letter" id="iconListLabel">{{t "select icons"}}</h5>
        <button type="button" class="btn-close" data-dismiss="modal" aria-label="Close" {{on "click" this.hide}}></button>
      </div>

      <div class="modal-body p-0">
        {{#if this.modalVisible}}
          <Input::Icons::Selector @disabled={{@disabled}} @icons={{@icons}} @value={{this.selection}} @onSelect={{this.selectionChanged}} class="m-0 p-0 d-flex flex-wrap justify-content-start" />
        {{/if}}
      </div>

      <div class="modal-footer">
        <button type="button" class="btn btn-success capitalize-first-letter" {{on "click" this.save}}>
          {{t "save"}}
        </button>

        <button type="button" class="btn btn-secondary capitalize-first-letter" {{on "click" this.hide}}>
          {{t "close"}}
        </button>
      </div>
    </div>
  </div>
</div>